Bug 1566680 - docker run systemd: Failed to create cgroup: EPERM
Summary: docker run systemd: Failed to create cgroup: EPERM
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 19:00 UTC by Ed Santiago
Modified: 2019-03-06 01:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-13 11:58:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
log from docker-systemd failure (35.99 KB, text/plain)
2018-04-12 19:00 UTC, Ed Santiago
no flags Details

Description Ed Santiago 2018-04-12 19:00:09 UTC
Created attachment 1421026 [details]
log from docker-systemd failure

# docker run -t registry.access.redhat.com/rhel7/rhel:latest /usr/sbin/init
    systemd 219 running in system mode. (+PAM +AUDIT +SELINUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL 
+XZ -LZ4 -SECCOMP +BLKID +ELFUTILS +KMOD +IDN)
    ...
    [  OK  ] Reached target Encrypted Volumes.
    Failed to create cgroup /system.slice/docker-<sha>.scope/system.slice/systemd-journald.service: Permission denied
    ....

Lots and lots of these. See attachment for full log.

RPMs of note:

   kernel-3.10.0-862.el7.x86_64
   docker-1.13.1-58.git87f2fab.el7.x86_64
   container-selinux-2.55-1.el7.noarch
   selinux-policy-3.13.1-192.el7_5.3.noarch

This is RHEL 7.4 with latest updates; I haven't seen it fail on RHEL 7.5 (!)

Under the previous 7.4 kernel (kernel-3.10.0-693.el7.x86_64), before rebooting, the error was quicker:

    Set hostname to <7381be6f2c57>.
    Initializing machine ID from random generator.
    Failed to create root cgroup hierarchy: Permission denied
    Failed to allocate manager object: Permission denied
    [!!!!!!] Failed to allocate manager object, freezing.






AFAICT RHEL 7.4 only, not 7.5

Comment 2 Daniel Walsh 2018-04-13 04:59:26 UTC
Is the container_manage_cgroup boolean turned on?

setsebool -P container_manage_cgroup 1

Comment 3 Ed Santiago 2018-04-13 11:58:47 UTC
Sigh, that was it. Sorry for the noise.


Note You need to log in before you can comment on or make changes to this bug.